defmodule PodcastFeedWeb.FeedController do
  use PodcastFeedWeb, :controller

  def by_identifier(conn, %{"identifier" => identifier}) do
    %{podcast: podcast, items: items} = PodcastFeed.archive(identifier)
    conn
    |> put_resp_content_type("text/xml")
    |> render("feed.xml", podcast: podcast, items: items)
  end
end
